#import "~/graphql_shared/fragments/label.fragment.graphql"
#import "~/graphql_shared/fragments/user.fragment.graphql"

fragment WorkItemWidgets on WorkItemWidget {
  ... on WorkItemWidgetDescription {
    type
    description
    descriptionHtml
  }
  ... on WorkItemWidgetAssignees {
    type
    allowsMultipleAssignees
    canInviteMembers
    assignees {
      nodes {
        ...User
      }
    }
  }
  ... on WorkItemWidgetLabels {
    type
    labels {
      nodes {
        ...Label
      }
    }
  }
  ... on WorkItemWidgetStartAndDueDate {
    type
    dueDate
    startDate
  }
  ... on WorkItemWidgetHierarchy {
    type
    parent {
      id
      iid
      title
      confidential
    }
    children {
      nodes {
        id
      }
    }
  }
}
